package com.install4j.api.beans;

/**
 * Used in {@link VariableErrorHandlingDescriptor} to configure the error handling for a single variable type.
 * @author ej-technologies GmbH
 */
public class VariableErrorHandling {

    /**
     * Ignore an undefined variable and leave it in place
     */
    public static VariableErrorHandling IGNORE = new VariableErrorHandling("Ignore");

    /**
     * Replace an undefined variable with an error message
     */
    public static VariableErrorHandling ERROR_MESSAGE = new VariableErrorHandling("Error message");

    /**
     * Throw an exception if an undefined variable is found
     */
    public static VariableErrorHandling EXCEPTION = new VariableErrorHandling("Exception");

    private String verbose;

    private VariableErrorHandling(String verbose) {
        this.verbose = verbose;
    }

    public String toString() {
        return verbose;
    }
}
